/fal-ai/vidu/reference-to-image
Official documentation: https://fal.ai/models/fal-ai/vidu/reference-to-image
POST
/fal-ai/vidu/reference-to-imageBody Parametersapplication/json
aspect_ratio string
Image ratio, enumeration values: 1:1, 16:9, 9:16
prompt* string
prompt word
reference_image_urls* array
Reference picture url
items string string
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"aspect_ratio": "16:9",
3"prompt": "The little devil is looking at the apple on the beach and walking around it.",
4"reference_image_urls": [
5"https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference1.png",
6"https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference2.png",
7"https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference3.png"
8]
9}
1curl -X POST "https://api.digislash.com/fal-ai/vidu/reference-to-image" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"aspect_ratio": "16:9",
6"prompt": "The little devil is looking at the apple on the beach and walking around it.",
7"reference_image_urls": [
8"https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference1.png",
9"https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference2.png",
10"https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference3.png"
11]
12}'
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/vidu/requests/405a114e-04bd-463a-a98c-895502cfdce9/cancel",
3"logs": [],
4"metrics": {},
5"queue_position": 0,
6"request_id": "405a114e-04bd-463a-a98c-895502cfdce9",
7"response_url": "https://queue.fal.run/fal-ai/vidu/requests/405a114e-04bd-463a-a98c-895502cfdce9",
8"status": "IN_QUEUE",
9"status_url": "https://queue.fal.run/fal-ai/vidu/requests/405a114e-04bd-463a-a98c-895502cfdce9/status"
10}
